### Method

# EDataServer SourceRegistry refresh_backend_sync

since: 3.30

#### Declaration [src]

    gboolean
    e_source_registry_refresh_backend_sync (
      ESourceRegistry* registry,
      const gchar* source_uid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Requests the D-Bus service to refresh collection backend for an `ESource` with UID `source_uid`. The result means that the refresh had been scheduled not whether the refresh itself succeeded. The refresh is not initiated when the collection backend is offline.

If an error occurs, the function will set `error` and return `FALSE`.

Available since: 3.30

#### Parameters

`source_uid`

  Type: `const gchar*`

  UID of a collection `ESource` whose backend to refresh.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.